Bug 213536 - Installation without media
Installation without media
Status: CLOSED RAWHIDE
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul W. Frields
Paul W. Frields
: FutureFeature
Depends On:
Blocks: ig-traqr
  Show dependency treegraph
 
Reported: 2006-11-01 16:27 EST by Rahul Sundaram
Modified: 2013-03-13 01:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-22 13:35:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2006-11-01 16:27:24 EST
Description of problem:

There is more advanced method to install Fedora without having to burn disks.
Perhaps this can be documented better in the installation guide. 


Additional info:

mkdir /mnt/fedora
mount -t iso9660 FC-6-i386-DVD.iso /mnt/fedora -o loop
cp -av /mnt/fedora/isolinux /boot/
umount /mnt/fedora

edit /etc/grub.conf

title 
       Fedora Installation
       root (hd0,4)
       kernel /isolinux/vmlinuz
       initrd /isolinux/initrd.img

Reboot
Select language
Choose hard disk installation
Select path to ISO image. No slashes in front or end of the path. 
Watch magic happen!
Comment 1 Paul W. Frields 2006-11-02 21:32:21 EST
Agreed, I do this (or something akin) often on servers for testing where I don't
want to be bothered making media, or physically visiting them.  I will see what
I can do.
Comment 2 Rahul Sundaram 2007-05-31 16:11:10 EDT
Doesn't seem to have been done for Fedora 7 guide. 
Comment 3 Paul W. Frields 2007-09-22 13:35:18 EDT
I've added this information for the F8 guide.

Note You need to log in before you can comment on or make changes to this bug.